
body{
    font-family: 'Poppins', sans-serif;
}

.menu{
    background-color: #fcfcfd;
    color: #0d0d0d;
    height: 70px;
    -moz-border-radius:7px 7px 7px 7px; /* Firefox */ 
    -webkit-border-radius:7px 7px 7px 7px; /* Safari y Chrome */
    
    
     
}

.menu__container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    max-width: 1400px;
    height: 100%;
    margin: 0 auto;
}

.menu__links{
    height: 100%;
    transition: transform .5s;
    display: flex;
    
    
}

.menu__item{
    list-style: none;
    position: relative;
    height: 100%;
    --clip: polygon(0 0, 100% 0, 100% 0, 0 0);
    --transform: rotate(-90deg);
}

.menu__item:hover{
    --clip: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    --transform: rotate(0);
}

.menu__link{
    color: #070707;
    text-decoration: none;
    padding: 0 15px;
    display: flex;
    height: 100%;
    align-items: center;
    
    
}

.menu__link:hover{
    background-color: #fcfbfb;
}


.menu__arrow{
    transform: var(--transform);
    transition: transform .3s;
    display: block;
    margin-left: 3px;
}

.menu__nesting{
    list-style: none;
    transition:clip-path .3s;
    clip-path: var(--clip);
    position: absolute;
     z-index: 100;
    right: 0;
    bottom: 0;
    width: max-content;
    transform: translateY(100%);
    background-color: #fcfbfb;
    -moz-border-radius:7px 7px 7px 7px; /* Firefox */ 
    -webkit-border-radius:7px 7px 7px 7px; /* Safari y Chrome */
    
    
}

.menu__link--inside{
    padding: 10px 70px 10px 10px;
}

.menu__link--inside:hover{
    background-color: #56555547;
    -moz-border-radius:7px 7px 7px 7px; /* Firefox */ 
    -webkit-border-radius:7px 7px 7px 7px; /* Safari y Chrome */
    
}

.menu__hamburguer{
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 15px;
    cursor: pointer;
    display: none;
    
    
    
}

.menu__img{
    display: block;
    width: 36px;
}

@media (max-width:800px){
    .menu__hamburguer{
        display: flex;
        
        
    }

    .menu__hamburguer--active{
        --transform: rotate(0);
        --background: #56555547;
        
        
    }

    .menu__hamburguer--show{
        display: flex;
        
        
        
    }

    .menu__item{
        --clip:0;
        overflow:hidden ;
        
    }

    .menu__item--active{
        --transform: rotate(0);
        --background: #56555547;
        
    }

    .menu__item--show{
        background-color: var(--background);
        
    }


    .menu__links{
        position: fixed;
        max-width: 200px;
        width: 100%;
        top: 70px;
        bottom: 0;
        right: 0;
        background-color: #f9f8f9;
        overflow-y: auto;
        display: grid;
        grid-auto-rows: max-content;
        transform: translateX(100%);
        z-index: 100;
        
    }

    .menu__links--show{
        transform: unset;
        width: 100%;
        
    }

    .menu__link{
        padding: 15px 0;
        padding-left: 30px;
        height: auto;
    }

    .menu__arrow{
        margin-left: auto;
        margin-right: 20px;
    }

    .menu__nesting{
        display: grid;
        position: unset;
        width: 100%;
        z-index: 100;
        transform: translateY(0);
        height: 0;
        transition: height .3s;
    }

    .menu__link--inside{
        width: 90%;
        margin-left: auto;
        border-left: 1px solid #56555547;
    }
}